---
title: Programas Para Clase en Linux
description: Nos hacen usar programas horribles, pero al menos los podemos usar en linux sin problemas
published: true
date: 2019-06-19T21:14:25.627Z
tags: 
---

# Instalando los programas de clase en Linux


## Mathlab :
Si no vas a necesitar el simulink, puedes utilizar Octave para todo. Solo necesitas añadir la librería de análisis de señal. Esto añadirá todas las funciones de transformadas de fourier, desplazamientos temporales...

> `> load senal`

Los archivos .m que nos den el las prácticas no necesitan nada más. Se pueden hacer todas las prácticas que no usan simulink de: Álgebra y Métodos Numéricos, Ondas, Sistemas Lineales, Teoría de la Comunicación, Cálculo I y Cálculo II. (Y probablemente todas las demás)

## Xilinx ISE 14.7 :

### Descargamos el instalador
Podemos encontrar el instalador en la [web de xilinx](https://www.xilinx.com/support/download/index.html/content/xilinx/en/downloadNav/design-tools/v2012_4---14_7.html "Instaladores Herramientas de Diseño") y aunque requiere registrarse, la herramienta es gratuita.  Por algún motivo, xilinx no quiere que este paquete esté en los repositorios.

### Instalamos el paquete
Este paso va a depender de la distribución de linux que utilices:
	
  En Arch: 
>   `pacman -U /ruta/al/archivo/instalador.tar.gz`

En Debian/Ubuntu:


>   	cd /ruta/al/archivo
>   	tar xzf instalador.tar.gz
>   	cp -R instalador /ruta/donde/quieras/instalar
>   	cd /ruta/donde/quieras/instalar
>   	./configure
>   	make
>   	sudo make install			
 
 
### Arreglamos el estropicio
Por algún motivo, el ISE utiliza su propio entorno de qt. Es una versión vieja con muchas cosas extra estilo ubuntu que intenta escoger el mismo tema de qt que tenga el resto del sistema. Y falla catastróficamente si tienes un tema oscuro.

Así que no queda otra que eliminar nuestro tema mientras queramos usarlo. En mi caso, quitar una línea de .bspwmrc.  ~~wal -R~~
